Subject: Re: Respun - Scripts to use bundles to move data between repos

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 15 Feb 2007 23:37:32 -0500

Mark Levedahl <[email-masked]> wrote:
> 7) Pipe ref list directly into git-pack-objects. - doesn't handle
>    rev-list-args such as --since=5.days.ago, piping through git-rev-list
>    first does so I left it that way.

Yuck.  I just went back and looked at the pack-objects source.

Apparently we only accept ref names and SHA-1 values here, and
`--not` on a line by itself.  Nothing else is valid.

The documentation is a little misleading, as usually when we say
something is processed the same way as rev-list does it we usually
also mean that any valid option to rev-list is also a valid option
in that context.  Here its not.

-- 
Shawn.